UFF/AngleBend.h File Reference
`#include <ForceField/Contrib.h>`
`#include <Geometry/point.h>`

Go to the source code of this file.

## Classes

class | ForceFields::UFF::AngleBendContrib
| The angle-bend term for the Universal Force Field. More...

## Namespaces

| ForceFields
| ForceFields::UFF
| ForceFields::UFF::Utils

## Functions

double | ForceFields::UFF::Utils::calcAngleForceConstant (double theta0, double bondOrder12, double bondOrder23, const AtomicParams *at1Params, const AtomicParams *at2Params, const AtomicParams *at3Params)
| Calculate the force constant for an angle bend. More...
void | ForceFields::UFF::Utils::calcAngleBendGrad (RDGeom::Point3D *r, double *dist, double **g, double &dE_dTheta, double &cosTheta, double &sinTheta)